Bug 232791 - USB device ID assign fails / descriptor read error & 1394 error
USB device ID assign fails / descriptor read error & 1394 error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-17 17:46 EDT by Brent R Brian
Modified: 2007-12-14 20:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-14 20:36:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent R Brian 2007-03-17 17:46:20 EDT
Description of problem:

Mar 17 17:10:17 localhost kernel: usb 5-1: new high speed USB device using
ehci_hcd and address 4
Mar 17 17:10:17 localhost kernel: usb 5-1: no configurations
Mar 17 17:10:17 localhost kernel: usb 5-1: can't read configurations, error  -22
Mar 17 17:10:17 localhost kernel: usb 5-1: new high speed USB device using
ehci_hcd and address 5
Mar 17 17:10:17 localhost kernel: usb 5-1: configuration #1 chosen from 1 choice
Mar 17 17:10:17 localhost kernel: hub 5-1:1.0: USB hub found
Mar 17 17:10:17 localhost kernel: hub 5-1:1.0: config failed, hub has too many
ports! (err -19)

        How reproducible:

Every time I boot.


        Expected results:

This hub has always worked.


        Additional info:

Broken since last YUM update: 

Mar 16 21:50:50 (yumex) Updated: firefox.i386 1.5.0.10-5.fc6
Mar 16 21:51:27 (yumex) Updated: evolution-data-server.i386 1.8.3-3.fc6
Mar 16 21:51:28 (yumex) Updated: nash.i386 5.1.19.0.3-1
Mar 16 21:51:29 (yumex) Updated: mkinitrd.i386 5.1.19.0.3-1
Mar 16 21:51:31 (yumex) Updated: net-snmp-libs.i386 1:5.3.1-13.fc6
Mar 16 21:51:32 (yumex) Updated: libpcap.i386 14:0.9.4-10.fc6
Mar 16 21:51:40 (yumex) Updated: selinux-policy.noarch 2.4.6-42.fc6
Mar 16 21:52:03 (yumex) Updated: selinux-policy-targeted.noarch 2.4.6-42.fc6
Mar 16 21:52:55 (yumex) Installed: kernel.i586 2.6.20-1.2925.fc6
Mar 16 21:53:04 (yumex) Updated: evolution-data-server-devel.i386 1.8.3-3.fc6
Mar 16 21:54:17 (yumex) Updated: firefox-devel.i386 1.5.0.10-5.fc6
Mar 16 21:54:18 (yumex) Updated: tcpdump.i386 14:3.9.4-10.fc6
Mar 16 21:56:27 (yumex) Installed: kernel-devel.i586 2.6.20-1.2925.fc6
Mar 16 21:56:35 (yumex) Updated: ntp.i386 4.2.4p0-1.fc6
Mar 16 21:56:49 (yumex) Updated: kernel-headers.i386 2.6.20-1.2925.fc6
Mar 16 21:56:51 (yumex) Updated: autofs.i386 1:5.0.1-0.rc3.26
Mar 16 21:56:57 (yumex) Updated: dhcdbd.i386 2.1-2.fc6
Mar 16 21:57:01 (yumex) Updated: gnupg.i386 1.4.7-2

Broken with 2.6.19-1 and 2.6.20-1, so one of the other components must have done it.
Comment 1 Chuck Ebbert 2007-03-19 13:28:35 EDT
The device could have just failed, too. Maybe you can try it
on some else's computer?
Comment 2 Brent R Brian 2007-03-19 19:37:05 EDT
Not the device ... I can't read memory sticks either.  Something in the CONFIG
file? but where is that ????
Comment 3 Brent R Brian 2007-03-27 22:43:02 EDT
Motherboard failed, one port at a time ... believe it or not ... every time I
booted I lost another port until they all quit.

I disabled the motherboard USB and put in a USB 2.0 PCI adapter ... all is well.

It was just odd that the first failure happened on the rebooted after the KERNEL
UPDATE to 2.6.20-1 ... 

Thanks

B
Comment 4 Brent R Brian 2007-04-15 08:23:36 EDT
This is a tough one ... I added a PCI USB card and that worked for a couple of
boots ... but during device discovery the USB hubs seems to randomly fail ...
like there is not enough delay between sending the device and INIT and waiting
for the reply.

Boot looks like this .... (also 1394 is recently started failing).

copy_e820_map() start: 0000000000000000 size: 000000000009f800 end:
000000000009f800 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000000009f800 size: 0000000000000800 end:
00000000000a0000 type: 2
copy_e820_map() start: 00000000000f0000 size: 0000000000010000 end:
0000000000100000 type: 2
copy_e820_map() start: 0000000000100000 size: 000000001fdf0000 end:
000000001fef0000 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000001fef0000 size: 0000000000003000 end:
000000001fef3000 type: 4
copy_e820_map() start: 000000001fef3000 size: 000000000000d000 end:
000000001ff00000 type: 3
copy_e820_map() start: 00000000fec00000 size: 0000000000001000 end:
00000000fec01000 type: 2
copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end:
00000000fee01000 type: 2
copy_e820_map() start: 00000000ffff0000 size: 0000000000010000 end:
0000000100000000 type: 2
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001fef0000 (usable)
 BIOS-e820: 000000001fef0000 - 000000001fef3000 (ACPI NVS)
 BIOS-e820: 000000001fef3000 - 000000001ff00000 (ACPI data)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
510MB LOWMEM available.
found SMP MP-table at 000f5e50
Using x86 segment limits to approximate NX protection
Entering add_active_range(0, 0, 130800) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->   130800
  HighMem    130800 ->   130800
early_node_map[1] active PFN ranges
    0:        0 ->   130800
On node 0 totalpages: 130800
  DMA zone: 40 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4056 pages, LIFO batch:0
  Normal zone: 1237 pages used for memmap
  Normal zone: 125467 pages, LIFO batch:31
  HighMem zone: 0 pages used for memmap
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP (v000 KT880                                 ) @ 0x000f9420
ACPI: RSDT (v001 KT880  AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fef3040
ACPI: FADT (v001 KT880  AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fef30c0
ACPI: MADT (v001 KT880  AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fef83c0
ACPI: DSDT (v001 KT880  AWRDACPI 0x00001000 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x4008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 6:4 APIC version 16
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 3, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 dfl dfl)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 20000000 (gap: 1ff00000:ded00000)
Detected 1396.092 MHz processor.
Built 1 zonelists.  Total pages: 129523
Kernel command line: ro root=/dev/hda2 
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c07aa000 soft=c078a000
PID hash table entries: 2048 (order: 11, 8192 bytes)
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 511032k/523200k available (2188k kernel code, 11520k reserved, 1157k
data, 236k init, 0k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)
    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
    vmalloc : 0xe0800000 - 0xff7fe000   ( 495 MB)
    lowmem  : 0xc0000000 - 0xdfef0000   ( 510 MB)
      .init : 0xc074a000 - 0xc0785000   ( 236 kB)
      .data : 0xc0623031 - 0xc0744494   (1157 kB)
      .text : 0xc0400000 - 0xc0623031   (2188 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 2794.25 BogoMIPS (lpj=1397125)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0183fbff c1c7fbff 00000000 00000000 00000000
00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
CPU: After all inits, caps: 0183f3ff c1c7fbff 00000000 00000420 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 12k freed
ACPI: Core revision 20060707
CPU0: AMD Athlon(tm) processor stepping 04
Total of 1 processors activated (2794.25 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
Brought up 1 CPUs
sizeof(vma)=84 bytes
sizeof(page)=40 bytes
sizeof(inode)=420 bytes
sizeof(dentry)=144 bytes
sizeof(ext3inode)=596 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=176 bytes
sizeof(task_struct)=1408 bytes
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfb5b0, last bus=1
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
0000:00:0f.1: cannot adjust BAR0 (not I/O)
0000:00:0f.1: cannot adjust BAR1 (not I/O)
0000:00:0f.1: cannot adjust BAR2 (not I/O)
0000:00:0f.1: cannot adjust BAR3 (not I/O)
Boot video device is 0000:01:00.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 6 7 10 *11 12)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 6 7 *10 11 12)
ACPI: PCI Interrupt Link [LNKC] (IRQs *3 4 6 7 10 11 12)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 6 7 10 *11 12)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 6 7 10 11 12) *5
ACPI: PCI Interrupt Link [LNK0] (IRQs 3 4 6 7 10 11 12) *5
ACPI: PCI Interrupt Link [LNK1] (IRQs 3 4 6 7 *10 11 12)
ACPI: PCI Interrupt Link [ALKA] (IRQs *20)
ACPI: PCI Interrupt Link [ALKB] (IRQs *21)
ACPI: PCI Interrupt Link [ALKC] (IRQs *22)
ACPI: PCI Interrupt Link [ALKD] (IRQs *23), disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 13 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
pnp: 00:02: ioport range 0x4000-0x407f could not be reserved
pnp: 00:02: ioport range 0x5000-0x500f has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: f8000000-f9ffffff
  PREFETCH window: f0000000-f7ffffff
PCI: Setting latency timer of device 0000:00:01.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 6, 327680 bytes)
TCP bind hash table entries: 8192 (order: 5, 163840 bytes)
TCP: Hash tables configured (established 16384 bind 8192)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 1588k freed
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1176638237.791:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
- Added public key A99AD4F3D245F54
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Bypassing VIA 8237 APIC De-Assert Message
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Fan [FAN] (on)
ACPI: Thermal Zone [THRM] (32 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected VIA KT880 chipset
agpgart: AGP aperture is 128M @ 0xe8000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:0f.1
ACPI: PCI Interrupt Link [ALKA] enabled at IRQ 20
ACPI: PCI Interrupt 0000:00:0f.1[A] -> Link [ALKA] -> GSI 20 (level, low) -> IRQ 16
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt8237 (rev 00) IDE UDMA133 controller on pci0000:00:0f.1
    ide0: BM-DMA at 0xe800-0xe807, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xe808-0xe80f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: WDC WD600BB-00DKA0, ATA DISK drive
hdb: ST340016A, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: LITE-ON DVDRW SOHW-1673S, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 512KiB
hda: 117231408 sectors (60022 MB) w/2048KiB Cache, CHS=16383/255/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2
hdb: max request size: 128KiB
hdb: 78165360 sectors (40020 MB) w/2048KiB Cache, CHS=65535/16/63, UDMA(100)
hdb: cache flushes not supported
 hdb: hdb2 hdb3 hdb4
ide-floppy driver 0.99.newide
usbcore: registered new interface driver libusual
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /class/input/input1
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Processor cpuid 644 not supported
Using IPI No-Shortcut mode
ACPI: (supports S0 S1 S4 S5)
Time: tsc clocksource has been installed.
Freeing unused kernel memory: 236k freed
Write protecting the kernel read-only data: 841k
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt Link [ALKB] enabled at IRQ 21
ACPI: PCI Interrupt 0000:00:10.0[A] -> Link [ALKB] -> GSI 21 (level, low) -> IRQ 17
uhci_hcd 0000:00:10.0: UHCI Host Controller
uhci_hcd 0000:00:10.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:10.0: irq 17, io base 0x0000e900
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:10.1[A] -> Link [ALKB] -> GSI 21 (level, low) -> IRQ 17
uhci_hcd 0000:00:10.1: UHCI Host Controller
uhci_hcd 0000:00:10.1: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:10.1: irq 17, io base 0x0000ea00
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:10.2[B] -> Link [ALKB] -> GSI 21 (level, low) -> IRQ 17
uhci_hcd 0000:00:10.2: UHCI Host Controller
uhci_hcd 0000:00:10.2: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:10.2: irq 17, io base 0x0000eb00
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
input: ImPS/2 Generic Wheel Mouse as /class/input/input2
ACPI: PCI Interrupt 0000:00:10.3[B] -> Link [ALKB] -> GSI 21 (level, low) -> IRQ 17
uhci_hcd 0000:00:10.3: UHCI Host Controller
uhci_hcd 0000:00:10.3: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:10.3: irq 17, io base 0x0000ec00
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI Interrupt 0000:00:0c.0[B] -> GSI 21 (level, low) -> IRQ 17
ohci_hcd 0000:00:0c.0: OHCI Host Controller
ohci_hcd 0000:00:0c.0: new USB bus registered, assigned bus number 5
ohci_hcd 0000:00:0c.0: irq 17, io mem 0xfa011000
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:0c.1[C] -> GSI 22 (level, low) -> IRQ 18
ohci_hcd 0000:00:0c.1: OHCI Host Controller
ohci_hcd 0000:00:0c.1: new USB bus registered, assigned bus number 6
ohci_hcd 0000:00:0c.1: irq 18, io mem 0xfa012000
usb usb6: configuration #1 chosen from 1 choice
hub 6-0:1.0: USB hub found
hub 6-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:0c.2[D] -> GSI 23 (level, low) -> IRQ 19
ohci_hcd 0000:00:0c.2: OHCI Host Controller
ohci_hcd 0000:00:0c.2: new USB bus registered, assigned bus number 7
ohci_hcd 0000:00:0c.2: irq 19, io mem 0xfa013000
usb usb7: configuration #1 chosen from 1 choice
hub 7-0:1.0: USB hub found
hub 7-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:0c.3[A] -> GSI 20 (level, low) -> IRQ 16
ehci_hcd 0000:00:0c.3: EHCI Host Controller
ehci_hcd 0000:00:0c.3: new USB bus registered, assigned bus number 8
ehci_hcd 0000:00:0c.3: debug port 1
ehci_hcd 0000:00:0c.3: irq 16, io mem 0xfa014000
ehci_hcd 0000:00:0c.3: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb8: configuration #1 chosen from 1 choice
hub 8-0:1.0: USB hub found
hub 8-0:1.0: 6 ports detected
ACPI: PCI Interrupt 0000:00:10.4[C] -> Link [ALKB] -> GSI 21 (level, low) -> IRQ 17
ehci_hcd 0000:00:10.4: EHCI Host Controller
ehci_hcd 0000:00:10.4: new USB bus registered, assigned bus number 9
ehci_hcd 0000:00:10.4: irq 17, io mem 0xfa016000
ehci_hcd 0000:00:10.4: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb9: configuration #1 chosen from 1 choice
hub 9-0:1.0: USB hub found
hub 9-0:1.0: 8 ports detected
SCSI subsystem initialized
ACPI: PCI Interrupt 0000:00:08.0[A] -> GSI 16 (level, low) -> IRQ 20
usb 7-1: new full speed USB device using ohci_hcd and address 2
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 3
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 4
usb 7-1: device not accepting address 4, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 5
usb 7-1: device not accepting address 5, error -62
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 7.0
        <Adaptec 2940 SCSI adapter>
        aic7870: Single Channel A, SCSI Id=7, 16/253 SCBs

libata version 2.00 loaded.
sata_via 0000:00:0f.0: version 2.0
ACPI: PCI Interrupt 0000:00:0f.0[B] -> Link [ALKA] -> GSI 20 (level, low) -> IRQ 16
sata_via 0000:00:0f.0: routed to hard irq line 10
ata1: SATA max UDMA/133 cmd 0xE200 ctl 0xE302 bmdma 0xE600 irq 16
ata2: SATA max UDMA/133 cmd 0xE400 ctl 0xE502 bmdma 0xE608 irq 16
scsi1 : sata_via
ata1: SATA link down 1.5 Gbps (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xE207
scsi2 : sata_via
ata2: SATA link down 1.5 Gbps (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xE407
Initializing USB Mass Storage driver...
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
audit(1176638268.230:2): selinux=0 auid=4294967295
ieee1394: Initialized config rom entry `ip1394'
ACPI: PCI Interrupt 0000:00:0a.0[A] -> GSI 18 (level, low) -> IRQ 21
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[21]  MMIO=[fa010000-fa0107ff]  Max
Packet=[1024]  IR/IT contexts=[4/4]
ohci1394: fw-host0: SelfID received outside of bus reset sequence
via-rhine.c:v1.10-LK1.4.2 Sept-11-2006 Written by Donald Becker
ACPI: PCI Interrupt 0000:00:0e.0[A] -> GSI 22 (level, low) -> IRQ 18
eth0: VIA Rhine III at 0xfa015000, 00:50:8d:7c:22:33, IRQ 18.
eth0: MII PHY found at address 1, status 0x786d advertising 05e1 Link 45e1.
input: PC Speaker as /class/input/input3
hdc: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(66)
Uniform CD-ROM driver Revision: 3.20
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
BUG: warning at drivers/ieee1394/ohci1394.c:3184/ohci_hw_csr_reg() (Not tainted)
 [<e09995c9>] ohci_hw_csr_reg+0x7d/0x99 [ohci1394]
 [<e099954c>] ohci_hw_csr_reg+0x0/0x99 [ohci1394]
 [<e09b83f5>] host_reset+0x6e/0x114 [ieee1394]
 [<e09b77c4>] highlevel_host_reset+0x24/0x48 [ieee1394]
 [<e099a403>] ohci_irq_handler+0x6ff/0x785 [ohci1394]
 [<c044f0ed>] handle_IRQ_event+0x1a/0x3f
 [<c045008e>] handle_fasteoi_irq+0x72/0xa7
 [<c045001c>] handle_fasteoi_irq+0x0/0xa7
 [<c04062be>] do_IRQ+0xb5/0xdb
 [<c04048f3>] common_interrupt+0x23/0x28
 [<c042b8ff>] __do_softirq+0x54/0xba
 [<c04061b1>] do_softirq+0x59/0xb1
 [<c0419df6>] smp_apic_timer_interrupt+0x76/0x80
 [<c04049b0>] apic_timer_interrupt+0x28/0x30
 [<c061ffca>] _spin_unlock_irqrestore+0xa/0xc
 [<e0997d5f>] ohci_devctl+0x5d/0x5ae [ohci1394]
 [<e09bdab5>] csr1212_generate_csr_image+0x310/0x365 [ieee1394]
 [<e09b501c>] hpsb_reset_bus+0x1c/0x22 [ieee1394]
 [<c0434842>] run_workqueue+0x85/0x125
 [<c061ffaf>] _spin_lock_irqsave+0x9/0xd
 [<e09b6e4e>] delayed_reset_bus+0x0/0xcd [ieee1394]
 [<c04351b4>] worker_thread+0xf9/0x124
 [<c04226ab>] default_wake_function+0x0/0xc
 [<c04350bb>] worker_thread+0x0/0x124
 [<c04377c7>] kthread+0xb0/0xd9
 [<c0437717>] kthread+0x0/0xd9
 [<c0404b33>] kernel_thread_helper+0x7/0x10
 =======================
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00004c0100000a10]
ACPI: PCI Interrupt Link [ALKC] enabled at IRQ 22
ACPI: PCI Interrupt 0000:00:11.5[C] -> Link [ALKC] -> GSI 22 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:11.5 to 64
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
lp0: using parport0 (interrupt-driven).
lp0: console ready
sonypi: Sony Programmable I/O Controller Driver v1.26.
input: Power Button (FF) as /class/input/input4
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input5
ACPI: Power Button (CM) [PWRB]
No dock devices found.
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on hda2, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hdb2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hdb3, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hdb4, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 1156640k swap on /dev/hda1.  Priority:-1 extents:1 across:1156640k
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Mobile IPv6
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
vmmon: module license 'unspecified' taints kernel.
/dev/vmmon[2445]: Module vmmon: registered with major=10 minor=165
/dev/vmmon[2445]: Module vmmon: initialized
/dev/vmnet: open called by PID 2472 (vmnet-bridge)
/dev/vmnet: hub 0 does not exist, allocating memory.
/dev/vmnet: port on hub 0 successfully opened
bridge-eth0: enabling the bridge
bridge-eth0: up
bridge-eth0: already up
bridge-eth0: attached
eth0: no IPv6 routers present
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
 CIFS VFS: Send error in SETFSUnixInfo = -5
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
usb 7-1: new full speed USB device using ohci_hcd and address 6
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 7
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 8
usb 7-1: device not accepting address 8, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 9
usb 7-1: device not accepting address 9, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 10
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 11
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 12
usb 7-1: device not accepting address 12, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 13
usb 7-1: device not accepting address 13, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 14
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 15
usb 7-1: device descriptor read/64, error -62
usb 7-1: device descriptor read/64, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 16
usb 7-1: device not accepting address 16, error -62
usb 7-1: new full speed USB device using ohci_hcd and address 17
usb 7-1: device not accepting address 17, error -62
Comment 5 Brent R Brian 2007-04-15 08:37:01 EDT
http://forums.fedoraforum.org/showthread.php?t=135961 

Mentioned this same type of problem and the 

   service messagebus restart; service haldaemon restart

idea worked ... yielded the following 

usb 7-1: new full speed USB device using ohci_hcd and address 18
usb 7-1: not running at top speed; connect to a high speed hub
usb 7-1: configuration #1 chosen from 1 choice
hub 7-1:1.0: USB hub found
hub 7-1:1.0: 4 ports detected
usb 7-1.1: new full speed USB device using ohci_hcd and address 19
usb 7-1.1: not running at top speed; connect to a high speed hub
usb 7-1.1: configuration #1 chosen from 1 choice
hub 7-1.1:1.0: USB hub found
hub 7-1.1:1.0: 4 ports detected
usb 7-1.4: new full speed USB device using ohci_hcd and address 20
usb 7-1.4: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 20
usb-storage: waiting for device to settle before scanning
scsi 3:0:0:0: Direct-Access     SanDisk  ImageMate CF-SM  0100 PQ: 0 ANSI: 0 CCS
sd 3:0:0:0: Attached scsi removable disk sda
scsi 3:0:0:1: Direct-Access     SanDisk  ImageMate CF-SM  0100 PQ: 0 ANSI: 0 CCS
sd 3:0:0:1: Attached scsi removable disk sdb
usb-storage: device scan complete
sd 3:0:0:0: Attached scsi generic sg0 type 0
sd 3:0:0:1: Attached scsi generic sg1 type 0

via DMESG
Comment 6 Brent R Brian 2007-04-15 09:03:01 EDT
It would appear that the following are DUPLICATES of this 

232791
191166    	  	  
220450
215352
235558
236450
214040*
217083
213411
216046
Comment 7 Brent R Brian 2007-04-15 09:04:21 EDT
On some boots this problem does not occur.

In all cases, when the HUBS (motherboard and external) get detected (either
during boot or after) all device seem to work fine.
Comment 8 Brent R Brian 2007-04-15 09:30:55 EDT
Interesting when the 1394 error message started showing:

ieee1394: Node removed: ID:BUS[0-00:1023]  GUID[00004c0100000a10]
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[21]  MMIO=[fa010000-fa0107ff]  Max
Packet=[1024]  IR/IT contexts=[4/4]
BUG: warning at drivers/ieee1394/ohci1394.c:3184/ohci_hw_csr_reg() (Tainted: P     )
 [<e09995c9>] ohci_hw_csr_reg+0x7d/0x99 [ohci1394]
 [<e099954c>] ohci_hw_csr_reg+0x0/0x99 [ohci1394]
 [<e09b83f5>] host_reset+0x6e/0x114 [ieee1394]
 [<e09b77c4>] highlevel_host_reset+0x24/0x48 [ieee1394]
 [<e099a403>] ohci_irq_handler+0x6ff/0x785 [ohci1394]
 [<c044f0ed>] handle_IRQ_event+0x1a/0x3f
 [<c045008e>] handle_fasteoi_irq+0x72/0xa7
 [<c045001c>] handle_fasteoi_irq+0x0/0xa7
 [<c04062be>] do_IRQ+0xb5/0xdb
 [<c04048f3>] common_interrupt+0x23/0x28
 [<c042b8ff>] __do_softirq+0x54/0xba
 [<c04061b1>] do_softirq+0x59/0xb1
 [<c0419df6>] smp_apic_timer_interrupt+0x76/0x80
 [<c04049b0>] apic_timer_interrupt+0x28/0x30
 [<c061ffca>] _spin_unlock_irqrestore+0xa/0xc
 [<e0997d5f>] ohci_devctl+0x5d/0x5ae [ohci1394]
 [<e09bdab5>] csr1212_generate_csr_image+0x310/0x365 [ieee1394]
 [<e09b501c>] hpsb_reset_bus+0x1c/0x22 [ieee1394]
 [<c0434842>] run_workqueue+0x85/0x125
 [<c061ffaf>] _spin_lock_irqsave+0x9/0xd
 [<e09b6e4e>] delayed_reset_bus+0x0/0xcd [ieee1394]
 [<c04351b4>] worker_thread+0xf9/0x124
 [<c04226ab>] default_wake_function+0x0/0xc
 [<c04350bb>] worker_thread+0x0/0x124
 [<c04377c7>] kthread+0xb0/0xd9
 [<c0437717>] kthread+0x0/0xd9
 [<c0404b33>] kernel_thread_helper+0x7/0x10
 =======================
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00004c0100000a10]

The USB error messages started.
Comment 9 Brent R Brian 2007-04-15 09:34:07 EDT
I ran:

dmesg -c; rmmod ehci-hcd; modprobe ehci-hcd; dmesg

several times without fail, but it failes (randomly) at boot.

ehci_hcd 0000:00:10.4: remove, state 1
usb usb9: USB disconnect, address 1
ehci_hcd 0000:00:10.4: USB bus 9 deregistered
ACPI: PCI interrupt for device 0000:00:10.4 disabled
ehci_hcd 0000:00:0c.3: remove, state 1
usb usb8: USB disconnect, address 1
usb 8-5: USB disconnect, address 4
usb 8-5.1: USB disconnect, address 5
usb 8-5.4: USB disconnect, address 6
ehci_hcd 0000:00:0c.3: USB bus 8 deregistered
ACPI: PCI interrupt for device 0000:00:0c.3 disabled
ACPI: PCI Interrupt 0000:00:0c.3[A] -> GSI 20 (level, low) -> IRQ 16
ehci_hcd 0000:00:0c.3: EHCI Host Controller
ehci_hcd 0000:00:0c.3: new USB bus registered, assigned bus number 8
ehci_hcd 0000:00:0c.3: debug port 1
ehci_hcd 0000:00:0c.3: irq 16, io mem 0xfa014000
ehci_hcd 0000:00:0c.3: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb8: configuration #1 chosen from 1 choice
hub 8-0:1.0: USB hub found
hub 8-0:1.0: 6 ports detected
ACPI: PCI Interrupt 0000:00:10.4[C] -> Link [ALKB] -> GSI 21 (level, low) -> IRQ 17
ehci_hcd 0000:00:10.4: EHCI Host Controller
ehci_hcd 0000:00:10.4: new USB bus registered, assigned bus number 9
ehci_hcd 0000:00:10.4: irq 17, io mem 0xfa016000
ehci_hcd 0000:00:10.4: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb9: configuration #1 chosen from 1 choice
hub 9-0:1.0: USB hub found
hub 9-0:1.0: 8 ports detected
usb 8-5: new high speed USB device using ehci_hcd and address 2
usb 8-5: configuration #1 chosen from 1 choice
hub 8-5:1.0: USB hub found
hub 8-5:1.0: 4 ports detected
usb 8-5.1: new high speed USB device using ehci_hcd and address 3
usb 8-5.1: configuration #1 chosen from 1 choice
hub 8-5.1:1.0: USB hub found
hub 8-5.1:1.0: 4 ports detected
usb 8-5.4: new full speed USB device using ehci_hcd and address 4
usb 8-5.4: configuration #1 chosen from 1 choice
scsi11 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
scsi 11:0:0:0: Direct-Access     SanDisk  ImageMate CF-SM  0100 PQ: 0 ANSI: 0 CCS
sd 11:0:0:0: Attached scsi removable disk sda
sd 11:0:0:0: Attached scsi generic sg0 type 0
scsi 11:0:0:1: Direct-Access     SanDisk  ImageMate CF-SM  0100 PQ: 0 ANSI: 0 CCS
sd 11:0:0:1: Attached scsi removable disk sdb
sd 11:0:0:1: Attached scsi generic sg1 type 0
usb-storage: device scan complete
ehci_hcd 0000:00:10.4: remove, state 1
usb usb9: USB disconnect, address 1
ehci_hcd 0000:00:10.4: USB bus 9 deregistered
ACPI: PCI interrupt for device 0000:00:10.4 disabled
ehci_hcd 0000:00:0c.3: remove, state 1
usb usb8: USB disconnect, address 1
usb 8-5: USB disconnect, address 2
usb 8-5.1: USB disconnect, address 3
usb 8-5.4: USB disconnect, address 4
ehci_hcd 0000:00:0c.3: USB bus 8 deregistered
ACPI: PCI interrupt for device 0000:00:0c.3 disabled
ACPI: PCI Interrupt 0000:00:0c.3[A] -> GSI 20 (level, low) -> IRQ 16
ehci_hcd 0000:00:0c.3: EHCI Host Controller
ehci_hcd 0000:00:0c.3: new USB bus registered, assigned bus number 8
ehci_hcd 0000:00:0c.3: debug port 1
ehci_hcd 0000:00:0c.3: irq 16, io mem 0xfa014000
ehci_hcd 0000:00:0c.3: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb8: configuration #1 chosen from 1 choice
hub 8-0:1.0: USB hub found
hub 8-0:1.0: 6 ports detected
ACPI: PCI Interrupt 0000:00:10.4[C] -> Link [ALKB] -> GSI 21 (level, low) -> IRQ 17
ehci_hcd 0000:00:10.4: EHCI Host Controller
ehci_hcd 0000:00:10.4: new USB bus registered, assigned bus number 9
ehci_hcd 0000:00:10.4: irq 17, io mem 0xfa016000
ehci_hcd 0000:00:10.4: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb9: configuration #1 chosen from 1 choice
hub 9-0:1.0: USB hub found
hub 9-0:1.0: 8 ports detected

Comment 10 Stefan Richter 2007-05-22 20:15:24 EDT
The warning in ohci1394 is the one from bug 144201.

Do the USB driver and ohci1394 share an interrupt? (cat /proc/interrupts)
If you prevent ohci1394 from ever being loaded, does it influence the issue?
Comment 11 Brent R Brian 2007-05-22 21:11:54 EDT
It does not appear so ...

           CPU0       
  0:     546910   IO-APIC-edge      timer
  1:        165   IO-APIC-edge      i8042
  6:          5   IO-APIC-edge      floppy
  7:          0   IO-APIC-edge      parport0
  8:          1   IO-APIC-edge      rtc
  9:          0   IO-APIC-fasteoi   acpi
 12:      30986   IO-APIC-edge      i8042
 14:      23912   IO-APIC-edge      ide0
 15:       3888   IO-APIC-edge      ide1
 16:          0   IO-APIC-fasteoi   ehci_hcd:usb8, libata
 17:       6316   IO-APIC-fasteoi   uhci_hcd:usb1, uhci_hcd:usb2, uhci_hcd:usb3,
uhci_hcd:usb4, ohci_hcd:usb5, ehci_hcd:usb9
 18:      13710   IO-APIC-fasteoi   ohci_hcd:usb6, VIA8237, eth0
 19:          0   IO-APIC-fasteoi   ohci_hcd:usb7
 20:          7   IO-APIC-fasteoi   aic7xxx
 21:          3   IO-APIC-fasteoi   ohci1394
NMI:          0 
LOC:     546821 
ERR:          0
MIS:          0
Comment 12 Brent R Brian 2007-12-14 20:18:32 EST
Update to F7 fixed this.

Note You need to log in before you can comment on or make changes to this bug.